# BEGIN SourceDeps(oneline):
BuildRequires: perl(Test/More.pm) perl(X11/Protocol.pm)
# END SourceDeps(oneline)
%define module_version 0.0.0
%define module_name X11-Resolution
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.0
Release: alt1
Summary: Get information on the current resolution for X.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VV/VVELOX/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use X11::Resolution;

    my $xres=X11::Resolution->new();
    if($xres->{error}){
         print "Error:".$xres->{error}.": ".$xres->{errorString}."\n";
    }

    #gets it currently the current screen
    my ($x, $y)=$xres->getResolution;
    if($xres->{error}){
         print "Error:".$xres->{error}.": ".$xres->{errorString}."\n";
    }
    print "x=".$x."\ny=".$y."\n";

    #gets it for screen zero
    my ($x, $y)=$xres->getResolution(0);
    if($xres->{error}){
         print "Error:".$xres->{error}.": ".$xres->{errorString}."\n";
    }
    print "x=".$x."\ny=".$y."\n";


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/X*

%changelog
* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.0-alt1
- initial import by package builder

